// © 2022, CGVR (https://cgvr.informatik.uni-bremen.de/),
// Author: Andre Mühlenbrock (muehlenb@uni-bremen.de)

// Include this file only once when compiling:
#pragma once

// Include our Vec4f class of the last exercise:
#include "Vec4f.h"

/**
 * Represents a Vertex with different types of information.
 */
struct Vertex {
    /** Stores the position (X,Y,Z,1) of this vertex */
    Vec4f position;

    /** Stores the normal (X,Y,Z,0) of this vertex */
    Vec4f normal;

    /** Stores the color (R,G,B,A) of this vertex */
    Vec4f color;

    /** Initializes the attributes with the given parameter values */
    Vertex(Vec4f position, Vec4f normal, Vec4f color)
        : position(position)
        , normal(normal)
        , color(color)
    {}
};
